Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027944
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-10-22 10:412014-12-30 23:24
ReporterngarciaView Statuspublic 
Assigned Toreinaldoguerra 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision3c4f28793d60
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027944: Not Stocked BOM lines are printed without price in orders

DescriptionNot Stocked BOM lines are printed without price in orders
Steps To ReproduceAs group admin role:
   Create a new product set as Bill Of Materials = 'Y' and Stocked = 'N'
   Add a sales price of 0 to it
   Add a product in the Bill Of Materials tab and Verify BOM
   Create a Sales Order with the BOM product and book it
   Print it and check the total doesn't match the total gross amount of the order as the price and total of the exploded BOM lines is not included
TagsNo tags attached.
Attached Filesdiff file icon 27944.diff [^] (3,212 bytes) 2014-10-28 17:59 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034498 closedalekosmp86 Duplicity in lines printing a sales order 

-  Notes
(0071234)
jonalegriaesarte (reporter)
2014-10-28 18:00

Attached possible patch
(0071236)
reinaldoguerra (developer)
2014-10-29 05:34

Test plan used:
1- Login into Openbravo ERP
2- Go to product window and create a new one.
3- Set Bill Of Materials as 'Y' and Stocked as 'N'
4- Go to price tab and select a sales price list version, set unit and list price as zero.
5- Go to Bill of Materials tab and add a new product for example: Cerveza Lager 0,5L.
6- Press Verify BOM button.
7- Go to sales order window and create a new one.
8- Add a new line selecting created product and book it.
9- Verify that lines are populated with defined BOM product.
10- Print the order and check the total in the report now match the total gross amount of the order. Also the price and total of the exploded BOM lines are included in the report.
(0071542)
hgbot (developer)
2014-11-11 09:51

Repository: erp/devel/pi
Changeset: 3c4f28793d604240eeb3ef20feded24e7a812089
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Tue Oct 28 22:55:46 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/3c4f28793d604240eeb3ef20feded24e7a812089 [^]

Fixed bug 27944: Not Stocked BOM lines are printed without price in orders.

Print sales order report was modified to take into account price and total amount for order lines reffering products with some bill of material defined. Now it is possible to delete invoice header.
This change affects also the purchase flow so now when printing an order, price and total of the exploded BOM lines are included, and the total match the total gross amount of the order.

---
M src/org/openbravo/erpReports/C_OrderLinesJR_new.jrxml
M src/org/openbravo/erpReports/C_OrderLinesTaxIncludedJR_new.jrxml
---
(0071545)
pramakrishnan (developer)
2014-11-11 09:53

Code Review + Testing - OK.
(0073037)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-22 10:41 ngarcia New Issue
2014-10-22 10:41 ngarcia Assigned To => AtulOpenbravo
2014-10-22 10:41 ngarcia Modules => Core
2014-10-22 10:41 ngarcia Triggers an Emergency Pack => No
2014-10-22 10:45 ngarcia Target Version => 3.0PR15Q1
2014-10-22 10:49 ngarcia Issue Monitored: networkb
2014-10-28 16:55 maite Priority urgent => immediate
2014-10-28 16:56 jonalegriaesarte Assigned To AtulOpenbravo => jonalegriaesarte
2014-10-28 17:59 jonalegriaesarte File Added: 27944.diff
2014-10-28 18:00 jonalegriaesarte Note Added: 0071234
2014-10-28 23:52 reinaldoguerra Assigned To jonalegriaesarte => reinaldoguerra
2014-10-28 23:52 reinaldoguerra Status new => scheduled
2014-10-29 05:34 reinaldoguerra Note Added: 0071236
2014-11-11 09:51 hgbot Checkin
2014-11-11 09:51 hgbot Note Added: 0071542
2014-11-11 09:51 hgbot Status scheduled => resolved
2014-11-11 09:51 hgbot Resolution open => fixed
2014-11-11 09:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3c4f28793d604240eeb3ef20feded24e7a812089 [^]
2014-11-11 09:53 pramakrishnan Review Assigned To => pramakrishnan
2014-11-11 09:53 pramakrishnan Note Added: 0071545
2014-11-11 09:53 pramakrishnan Status resolved => closed
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073037
2016-11-25 10:47 aferraz Relationship added related to 0034498


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker